import request from '@/utils/request'


//更加网关名获取监测点
export function getAllLine(data) {
    return request({
        url: '/energy-boot/line/getAllLine',
        method: 'get',
        params: { netDevName: data }
    })
}


export function addBind(data) {
    return request({
        url: '/energy-boot/bind/add',
        method: 'post',
        data: data
    })
}

export function listBind(data) {
    return request({
        url: '/energy-boot/bind/list',
        method: 'get',
        params: { ndid: data }
    })
}

//通过监测点集合查询集合数据
export function getLineListDetail(data) {
    return request({
        url: '/energy-boot/bind/getLineListDetail',
        method: 'post',
        data: data
    })
}